Update delivery Run in API Explorer
Ask AI
This webhook allows to persist updates from third party delivery systems to Deliverect. Currently updates to following delivery information are supported. See examples for technical details. - delivery status - pickup time & eta - delivery time & eta - courier information ##### Delivery job statuses: Following delivery job statuses exist in deliverect: | Status name | Integer value | |-|-| | IN_DELIVERY | 80 | | EN_ROUTE_TO_PICKUP | 83 | | ARRIVED_AT_PICKUP | 85 | | EN_ROUTE_TO_DROPOFF | 87 | | ARRIVED_AT_DROPOFF | 89 | | DELIVERED | 90 | ##### NOTE Please note, that here and later all dates and times, coming from/to Deliverect are UTC.
POST
/fulfillment/generic/events
curl \
--request POST 'https://api.staging.deliverect.com/fulfillment/generic/events' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"courier":{"name":"Mac Miller","phone":"+3292331234","latitude":"3.738214852809371","longitude":"51.05433703603857"},"locations":[{"status":40,"orderId":"602987dd539d9697c836198b","deliveryTimeETA":"2021-05-13T14:13:00Z","channelOrderDisplayId":"1234567890"}],"deliveryJobId":"602***66a","externalJobId":"DJ214233","pickupTimeETA":"2021-05-13T13:59:00Z","transportType":"bicycle"}'
Request example
{
"courier": {
"name": "Mac Miller",
"phone": "+3292331234",
"latitude": "3.738214852809371",
"longitude": "51.05433703603857"
},
"locations": [
{
"status": 40,
"orderId": "602987dd539d9697c836198b",
"deliveryTimeETA": "2021-05-13T14:13:00Z",
"channelOrderDisplayId": "1234567890"
}
],
"deliveryJobId": "602***66a",
"externalJobId": "DJ214233",
"pickupTimeETA": "2021-05-13T13:59:00Z",
"transportType": "bicycle"
}
Response examples (200)
OK
Response examples (200)
OK